mrpt (1:2.1.4-1) unstable; urgency=medium

  * New version of upstream sources.

 -- José Luis Blanco Claraco <joseluisblancoc@gmail.com>  Mon, 09 Nov 2020 06:30:51 +0100

mrpt (1:2.1.3-1) unstable; urgency=medium

  * Moving from libdc1394-22-dev to libdc1394-dev (Closes: #970837).
  * Use system library libsimpleini-dev (Closes: #902488).
  * Fix build in ppc64.
  * New version of upstream sources.

 -- José Luis Blanco Claraco <joseluisblancoc@gmail.com>  Wed, 21 Oct 2020 09:35:46 +0200

mrpt (1:2.1.0-2) unstable; urgency=medium

  * debian/rules: add -g1 to mips builds (Closes: #970818).

 -- José Luis Blanco Claraco <joseluisblancoc@gmail.com>  Sat, 26 Sep 2020 08:10:00 +0200

mrpt (1:2.1.0-1) unstable; urgency=medium

  * New version of upstream sources.
  * Update debian/copyright.

 -- José Luis Blanco Claraco <joseluisblancoc@gmail.com>  Mon, 31 Aug 2020 10:22:44 +0200

mrpt (1:2.0.4-2) unstable; urgency=medium

  * Team upload
  * debian/patches/e84511500276d38d3eeff0b220e8d45e0d74fc93.patch:
    - cherry-pick upstream "fix" for a failing test (Closes: #964044).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 17 Jul 2020 08:14:20 +0200

mrpt (1:2.0.4-1) unstable; urgency=medium

  * New version of upstream sources.
  * Fix AppStream metadata hints in package tracker page.

 -- José Luis Blanco Claraco <joseluisblancoc@gmail.com>  Sat, 20 Jun 2020 17:24:00 +0200

mrpt (1:2.0.3-3) unstable; urgency=medium

  * Add another patch to disable failing unit tests in builders.

 -- José Luis Blanco Claraco <joseluisblancoc@gmail.com>  Fri, 15 May 2020 16:25:55 +0200

mrpt (1:2.0.3-2) unstable; urgency=medium

  * Add patch to fix FTBFS due to failed unit tests in some architectures.

 -- José Luis Blanco Claraco <joseluisblancoc@gmail.com>  Thu, 14 May 2020 21:23:27 +0200

mrpt (1:2.0.3-1) unstable; urgency=medium

  * Fix missing Breaks+Replaces in debian/control (Closes: #960349).
  * New version of upstream sources.

 -- José Luis Blanco Claraco <joseluisblancoc@gmail.com>  Wed, 13 May 2020 17:46:04 +0200

mrpt (1:2.0.2-1) unstable; urgency=medium

  * New version of upstream sources.
  * Updated debian/control to fix missing libraries.
  * Fix build against OpenCV 4 (Closes: #922586)
  * Do not use Python2 anymore (Closes: #943188)

 -- José Luis Blanco Claraco <joseluisblancoc@gmail.com>  Mon, 04 May 2020 16:55:51 +0200

mrpt (1:1.5.8-1) unstable; urgency=medium

  * New version of upstream sources.

 -- José Luis Blanco Claraco <joseluisblancoc@gmail.com>  Sat, 12 Oct 2019 17:29:20 +0200

mrpt (1:1.5.6-1) unstable; urgency=medium

  * New version of upstream sources.

 -- José Luis Blanco Claraco <joseluisblancoc@gmail.com>  Tue, 24 Apr 2018 08:23:18 +0200

mrpt (1:1.5.5-1) unstable; urgency=medium

  * New version of upstream sources.
  * Fix SIGBUS in armhf (Closes: #880388).
  * debian/copyright: Updated to machine-readable format.
  * debian/rules: disable generating Doxygen caller graphs in doc pkg.
  * debian/rules: provide build-indep, test-indep, and install-indep targets.

 -- José Luis Blanco Claraco <joseluisblancoc@gmail.com>  Fri, 01 Dec 2017 07:13:14 +0100

mrpt (1:1.5.3-1) unstable; urgency=medium

  * New version of upstream sources.
  * Add signature checking to watch file (fix lintian
    debian-watch-may-check-gpg-signature).
  * Fix GCC hardening flags (Closes: #865735).
  * Fix lintian error license-problem-convert-utf-code.
  * Builds with GCC 7 (Closes: #853563).
  * Remove all debian/patches as they are integrated upstream.
  * debian/copyright: Updated sinceEigen, assimp and octomap are no longer
    shipped in upstream releases.
  * debian/control: Simplify Build-Depends. The previous version was intended
    to be used on both Ubuntu and Debian, but we don't really want several
    alternative ways to build the same package.
  * debian/control: Add "Multi-Arch: same" to library packages.
  * debian/control: Drop obsolete usage of "misc:Pre-Depends" variable.
  * debian/rules: Disable DH_{DEBUG,VERBOSE}.

 -- José Luis Blanco Claraco <joseluisblancoc@gmail.com>  Mon, 21 Aug 2017 00:24:00 +0200

mrpt (1:1.4.0-7) unstable; urgency=medium

  * Fix FTBFS in testing due to unit test crash related to eigenvectors
    calc in Eigen 3.3b1

 -- Jose Luis Blanco (University of Malaga) <joseluisblancoc@gmail.com>  Mon, 15 Aug 2016 00:07:29 +0200

mrpt (1:1.4.0-6) unstable; urgency=medium

  * Fix FTBFS with latest eigen 3.3 beta 1 (Closes #834274).
  * Drop build-depends on subversion, no longer needed.

 -- Jose Luis Blanco (University of Malaga) <joseluisblancoc@gmail.com>  Sun, 14 Aug 2016 13:51:20 +0200

mrpt (1:1.4.0-5) unstable; urgency=medium

  * Fix FTBFS in mips and other archs.

 -- Jose Luis Blanco (University of Malaga) <joseluisblancoc@gmail.com>  Fri, 22 Jul 2016 15:38:29 +0200

mrpt (1:1.4.0-4) unstable; urgency=medium

  * Include patch to fix sparc64 SIGBUS error (Closes: #830741).
  * Include patch to fix hppa error (Closes: #830740)

 -- Jose Luis Blanco (University of Malaga) <joseluisblancoc@gmail.com>  Fri, 22 Jul 2016 10:04:57 +0200

mrpt (1:1.4.0-3) unstable; urgency=medium

  * Fix FTBFS on sparc64 (Closes: #825846).

 -- Jose Luis Blanco (University of Malaga) <joseluisblancoc@gmail.com>  Sun, 10 Jul 2016 00:07:40 +0200

mrpt (1:1.4.0-2) unstable; urgency=medium

  * Fix FTBFS (unit tests) in armhf (Closes: #825844).
  * Fix wrong "Breaks/Replace" fields (Closes: #807662).
  * Fix FTBFS on big endian due unit test errors (Closes: #825845).

 -- Jose Luis Blanco (University of Malaga) <joseluisblancoc@gmail.com>  Fri, 08 Jul 2016 23:52:47 +0200

mrpt (1:1.4.0-1) unstable; urgency=medium

  * New version of upstream sources.
  * Lintian clean again: fix not-binnmuable-any-depends-all error and warnings (Closes: #821818)
  * Fix mrpt-common package overwriting files in mrpt-apps (Closes: #807662)
  * Fix building against libftdi1-dev (Closes: #810368)
  * Fix building with gcc 6.0 (Closes: #811812)

 -- Jose Luis Blanco (University of Malaga) <joseluisblancoc@gmail.com>  Fri, 22 Apr 2016 00:40:46 +0200

mrpt (1:1.3.2-1) unstable; urgency=medium

  * New version of upstream sources.
  * mrpt-apps package split in two. Added new arch-indep package "mrpt-common"
  * Fix FTBFS with FFmpeg 2.9 (Closes: #803845).
  * Fix test errors with Eigen 3.3 (Closes: #803700).

 -- Jose Luis Blanco (University of Malaga) <joseluisblancoc@gmail.com>  Tue, 03 Nov 2015 17:01:31 +0100

mrpt (1:1.3.1-1) unstable; urgency=medium

  * New version of upstream sources.
  * Fix Debian bug on Eigen2 support (Closes: #786349).
  * Fix package description error (Closes: #790117).
  * Made lintian clean.

 -- Jose Luis Blanco (University of Malaga) <joseluisblancoc@gmail.com>  Fri, 17 Jul 2015 20:06:54 +0200

mrpt (1:1.3.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop Eigen2-support of Eigen3. (Closes: #786349)
  * Add --parallel option for a faster build.

 -- Anton Gladky <gladk@debian.org>  Fri, 25 Sep 2015 23:34:45 +0200

mrpt (1:1.3.0-1) unstable; urgency=medium

  * New version of upstream sources.
  * Update Debian standards version (3.9.6)
  * Fix Lintian warnings (`desktop-mime-but-no-exec-code`)

 -- Jose Luis Blanco (University of Malaga) <joseluisblancoc@gmail.com>  Sun, 18 Jan 2015 01:33:07 +0100

mrpt (1:1.2.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS on many architectures by fixing disabling of use of SSE4.

 -- Olly Betts <olly@survex.com>  Tue, 14 Oct 2014 14:22:01 +1300

mrpt (1:1.2.2-1) unstable; urgency=medium

  * New version of upstream sources.
  * Fixed FTBFS (named semaphore not implemented) (Closes: #758725)
  * Fixed FTBFS on mips, mipsel, powerpc, s390x (Closes: #756104)

 -- Jose Luis Blanco (University of Malaga) <joseluisblancoc@gmail.com>  Fri, 12 Sep 2014 13:01:17 +0200

mrpt (1:1.2.1-1) unstable; urgency=medium

  * New version of upstream sources.
  * Fixed build without opencv-nonfree (Closes: #679066)
  * Fixed FTBFS: reverseBytesInPlace unknown to CStream.h (Closes: #753452)
  * Fixed FTBFS on kFreeBSD: missing linux/input.h (Closes: #753451)
  * Fixed FTBFS on hurd. (Closes: #753450)
  * Fixed docs license unsuitable for Debian main (Closes: #753390)

 -- Jose Luis Blanco (University of Malaga) <joseluisblancoc@gmail.com>  Thu, 10 Jul 2014 13:56:42 +0200

mrpt (1:1.2.0-1) unstable; urgency=medium

  * New version of upstream sources.
  * Fix Debian wishlist bug and incorrect watch file (Closes: #750978)
  * Build against newer wxWidgets 3.0 (Closes: #750968)
  * Fix error during doc generation (mrpt-perfdata2html) (Closes: #724466)

 -- Jose Luis Blanco (University of Malaga) <joseluisblancoc@gmail.com>  Wed, 25 Jun 2014 19:05:56 +0200

mrpt (1:1.0.2-1) unstable; urgency=low

  * New version of upstream sources.
  * Fix FTBFS with newer ffmpeg headers (Closes: #718146)

 -- Jose Luis Blanco (University of Malaga) <joseluisblancoc@gmail.com>  Sat, 03 Aug 2013 12:48:20 +0200

mrpt (1:1.0.1-1) unstable; urgency=low

  * New version of upstream sources.
  * Fixed typo in short description of libmrpt-kinematics1.0 (Closes: #703923)
  * Fixed wrong dependencies of libmrpt-dev
  * Fix of Lintian's hardening-no-fortify-functions
  * Fixed embedded copy of libeigen-dev in mrpt sources
    package (Closes: #707860)

 -- Jose Luis Blanco (University of Malaga) <joseluisblancoc@gmail.com>  Sun, 12 May 2013 14:05:55 +0200

mrpt (1:1.0.0-1) unstable; urgency=low

  * New version of upstream sources.
  * Removed unneeded Debian package mrpt-libs (Closes: #698360)

 -- Jose Luis Blanco (University of Malaga) <joseluisblancoc@gmail.com>  Fri, 01 Mar 2013 13:23:55 +0100

mrpt (1:0.9.6-1) unstable; urgency=low

  * New version of upstream sources.

 -- Jose Luis Blanco (University of Malaga) <joseluisblancoc@gmail.com>  Wed, 30 May 2012 16:41:50 +0200

mrpt (1:0.9.5svn2717-1) unstable; urgency=low

  * New version of upstream sources.

 -- Jose Luis Blanco (University of Malaga) <joseluisblancoc@gmail.com>  Wed, 19 Oct 2011 17:56:49 +0200

mrpt (1:0.9.4svn2546-1) unstable; urgency=low

  * New version of upstream sources.
  * Fixed build errors with GCC 4.6. Debian (Closes: #625075), Ubuntu (Closes: #770953).

 -- Jose Luis Blanco (University of Malaga) <joseluisblancoc@gmail.com>  Sat, 04 Jun 2011 02:27:43 +0200

mrpt (1:0.9.4svn2453-1) unstable; urgency=low

  * New version of upstream sources.
  * Fixes OOM FTBFS errors for MIPS (Closes: #617537).
  * Added optional build-dependency on doxygen-latex (Closes: #616269).

 -- Jose Luis Blanco (University of Malaga) <joseluisblancoc@gmail.com>  Wed, 09 Mar 2011 19:30:44 +0100

mrpt (1:0.9.4-1) unstable; urgency=low

  * New version of upstream sources.
  * Solved build and "make test" errors (Closes: #605996, Closes: #607990)

 -- Jose Luis Blanco (University of Malaga) <joseluisblancoc@gmail.com>  Wed, 05 Jan 2011 17:07:26 +0100

mrpt (1:0.9.3-1) unstable; urgency=low

  * New version of upstream sources.

 -- Jose Luis Blanco (University of Malaga) <joseluisblancoc@gmail.com>  Sun, 19 Dec 2010 18:03:40 +0100

mrpt (1:0.9.2-1) unstable; urgency=low

  * New version of upstream sources.
  * Solves FTBFS error (Closes: 599989)

 -- Jose Luis Blanco (University of Malaga) <joseluisblancoc@gmail.com>  Thu, 28 Oct 2010 10:47:31 +0200

mrpt (1:0.9.1-1) unstable; urgency=low

  * New version of upstream sources.

 -- Jose Luis Blanco (University of Malaga) <joseluisblancoc@gmail.com>  Sat, 31 Jul 2010 21:35:56 +0200

mrpt (1:0.9.0-2) unstable; urgency=low

  * Added debian/source/format file to fix a lintian warning.

 -- Jose Luis Blanco (University of Malaga) <joseluisblancoc@gmail.com>  Thu, 03 Jun 2010 16:44:47 +0200

mrpt (1:0.9.0-1) unstable; urgency=low

  * New version of upstream sources.

 -- Jose Luis Blanco (University of Malaga) <joseluisblancoc@gmail.com>  Thu, 03 Jun 2010 15:19:53 +0200

mrpt (1:0.8.1-1) unstable; urgency=low

  * New version of upstream sources.
  * Solves FTBFS error (Closes: #560538)

 -- Jose Luis Blanco (University of Malaga) <joseluisblancoc@gmail.com>  Sat, 17 Apr 2010 12:37:58 +0200

mrpt (0.8.1svn1408-1) unstable; urgency=low

  * New version of upstream sources.
  * Fixed conflicts between files in different packages (Closes: #543621)

 -- Jose Luis Blanco (University of Malaga) <joseluisblancoc@gmail.com>  Mon, 04 Jan 2010 02:41:27 +0100

mrpt (0.7.1svn1127-1) unstable; urgency=low

  * New version of upstream sources.

 -- Jose Luis Blanco (University of Malaga) <joseluisblancoc@gmail.com>  Thu, 30 Jul 2009 15:20:07 +0200

mrpt (0.7.0svn1047-1) unstable; urgency=low

  * New version of upstream sources.
  * Fixed lintian desktop-mimetype warnings.

 -- Jose Luis Blanco (University of Malaga) <joseluisblancoc@gmail.com>  Wed, 27 May 2009 09:37:29 +0200

mrpt (0.6.5svn807-2) unstable; urgency=low

  * All applications are now in mrpt-apps again.

 -- Jose Luis Blanco (University of Malaga) <joseluisblancoc@gmail.com>  Wed, 18 Feb 2009 11:17:00 +0100

mrpt (0.6.5svn807-1) unstable; urgency=low

  * New version of upstream sources.
  * Applications separated in individual packages, "mrpt-apps" still
    exists as a virtual package.
  * Fixed desktop-mimetype-without-update-call

 -- Jose Luis Blanco (University of Malaga) <joseluisblancoc@gmail.com>  Mon, 16 Feb 2009 13:58:13 +0100

mrpt (0.6.5svn706-1) unstable; urgency=low

  * New version of upstream sources.
  * Fixed compiling error on MIPS (Closes: #509366)
  * Fixed all shdeplibs warnings.

 -- Jose Luis Blanco (University of Malaga) <joseluisblancoc@gmail.com>  Mon, 22 Dec 2008 01:01:41 +0100

mrpt (0.6.4svn702-1) unstable; urgency=low

  * New version of upstream sources.

 -- Jose Luis Blanco (University of Malaga) <joseluisblancoc@gmail.com>  Sat, 20 Dec 2008 17:04:01 +0100

mrpt (0.6.4svn604-1) unstable; urgency=low

  * New version of upstream sources.
  * Fixed conflicting program name (Closes: #505272)

 -- Jose Luis Blanco (University of Malaga) <joseluisblancoc@gmail.com>  Wed, 12 Nov 2008 23:46:20 +0100

mrpt (0.6.4svn585-1) unstable; urgency=low

  * New version of upstream sources.
  * Fixed invalid gcc flags (Closes: #503458)

 -- Jose Luis Blanco (University of Malaga) <joseluisblancoc@gmail.com>  Wed, 29 Oct 2008 17:41:12 +0100

mrpt (0.6.3svn565-1) unstable; urgency=low

  * New version of upstream sources.

 -- Jose Luis Blanco (University of Malaga) <joseluisblancoc@gmail.com>  Thu, 23 Oct 2008 22:19:27 +0200

mrpt (0.6.2svn476-1) unstable; urgency=low

  * New version of upstream sources.
  * debian files: Fixed libraries package names and copyright file.

 -- Jose Luis Blanco (University of Malaga) <joseluisblancoc@gmail.com>  Mon, 01 Sep 2008 23:59:06 +0200

mrpt (0.6.1svn468-1) unstable; urgency=low

  * New version of upstream sources (bug fixes, new apps and examples).
  * debian/control: Dependencies updated.
  * xmlparser license replaced by custom version from the author.

 -- Jose Luis Blanco (University of Malaga) <joseluisblancoc@gmail.com>  Wed, 27 Aug 2008 23:38:28 +0200

mrpt (0.6.1svn462-2) unstable; urgency=low

  * debian/control: Changed dependency on obsolete tetex-bin to "texlive | tetex".

 -- Jose Luis Blanco (University of Malaga) <joseluisblancoc@gmail.com>  Sun, 24 Aug 2008 00:13:05 +0200

mrpt (0.6.1svn462-1) unstable; urgency=low

  * New version of upstream sources (valgrind errors fixed).
  * debian/watch now works.

 -- Jose Luis Blanco (University of Malaga) <joseluisblancoc@gmail.com>  Sat, 23 Aug 2008 23:16:07 +0200

mrpt (0.6.1svn461-1) unstable; urgency=low

  * New version of upstream sources: clear separation of debian scripts.

 -- Jose Luis Blanco (University of Malaga) <joseluisblancoc@gmail.com>  Sat, 23 Aug 2008 00:24:29 +0200

mrpt (0.6.1svn460-1) unstable; urgency=low

  * New version of upstream sources.

 -- Jose Luis Blanco (University of Malaga) <joseluisblancoc@gmail.com>  Thu, 21 Aug 2008 18:19:21 +0200

mrpt (0.6.0-2) unstable; urgency=low

  * Reorganization of binary Debian packages. Each library (.so) now has its own package.
  * Added man pages for all applications (mrpt-apps package).
  * Fixed debian/watch file.

 -- Jose Luis Blanco (University of Malaga) <joseluisblancoc@gmail.com>  Thu, 21 Aug 2008 00:29:27 +0200

mrpt (0.6.0-1) unstable; urgency=low

  * Initial packaging (Closes: #495520)

 -- Jose Luis Blanco (University of Malaga) <joseluisblancoc@gmail.com>  Wed, 06 Aug 2008 19:12:19 +0200
